Wsparcie » Używanie i konfiguracja WordPressa » problem z aktualizacją wordpressa

  • Rozwiązano DanielCanDesign

    (@danielcandesign)


    Cześć,
    Nie mogę zaktualizować wordpressa z kokpitu. Informuje mnie że mam zainstalowaną najnowszą wersję ale tak nie jest. Mam 4.0. Ostatnio też tak miałem i instalowałem najnowszą wersję ręcznie ale zależy mi na tym żeby to jednak można było aktualizować przez kokpit. Poza tym jak sądzę jest jakiś błąd który może mieć wpływ na działanie strony.

    Ktoś się z takim problemem spotkał? Jak to naprawić?

    dzięki

Viewing 10 replies - 1 through 10 (of 10 total)
  • Moderator Paweł Knapek

    (@adpawl)

    http://codex.wordpress.org/Editing_wp-config.php#Debug

    A najlepiej sprawdzić bezpośrednio w error logu jakimi błędami sypie.

    Thread Starter DanielCanDesign

    (@danielcandesign)

    nie odnajduje: Table ’.wp_options’ doesn’t exist
    tylko że ja mam inny prefix ustawiony…

    Thread Starter DanielCanDesign

    (@danielcandesign)

    Możesz mi coś doradzić?
    Próbowałem teraz uruchomić stronę pod testowym adresem, zaimportowałem bazę przez phpmyadmina, przy próbie zmiany url

    UPDATE wp_options
    SET option_value = replace(option_value, 'poprzedni url’, 'nowy url’)
    WHERE option_name IN (’home’, 'siteurl’, 'upload_url_path’);

    wyskoczył mi komunikat o błędzie:
    #1146 – Table 'nazwa_bazy.wp_options’ doesn’t exist

    Musiałem zrobić jakiś błąd ale nie wiem jaki i nie wiem co zrobić żeby to naprawić.

    Thread Starter DanielCanDesign

    (@danielcandesign)

    wp_options nie może być bo mam inny prefix:/ ehh

    ale dalej nie wiem skąd te errory z próbami odnalezienia table wp_options.

    Thread Starter DanielCanDesign

    (@danielcandesign)

    nie wp_options tylko wp_postmeta

    Thread Starter DanielCanDesign

    (@danielcandesign)

    taki błąd mam:

    Błąd Table 'nazwa_bazy.wp_postmeta’ doesn’t exist bazy danych WordPressa podczas wykonywania zapytania SELECT COUNT(meta_id) FROM wp_postmeta WHERE meta_key=’_menu_item_menu_item_parent’ AND meta_value=’363′ wysłanego przez require(’wp-blog-header.php’), require_once(’wp-includes/template-loader.php’), include(’/themes/nazwamotywu/index.php’), get_header, locate_template, load_template, require_once(’/themes/nazwamotywu/header.php’), ubermenu, wp_nav_menu, walk_nav_menu_tree, call_user_func_array, Walker->walk, UberMenuWalker->display_element, call_user_func_array, UberMenuWalker->start_el, UberMenuItem->start_el, UberMenuItemDefault->get_start_el, UberMenuItem->filter_item_classes, apply_filters(’nav_menu_css_class’), call_user_func_array, check_for_submenu

    Moderator Paweł Knapek

    (@adpawl)

    Zdezaktywuj wszystkie wtyczki i sprawdź czy problem nadal występuje, jeżeli nie …to włączaj ponownie po jednej i sprawdzaj na której zacznie się sypać.

    Thread Starter DanielCanDesign

    (@danielcandesign)

    zrobiłem to, ale po deaktywacji wszystkich nadal sypało errorami. Erory podaje z menu. Mam tam zainstalowany plugin ubermenu, ale nawet jak deaktywuje go i dam wp_nav_menu to dalej są errory z menu, tyle że mniej.

    Zastanawiam się nad zmianą prefixu na pierwotną czyli wp_
    Zrobiłem to na testowym i niby errory się niepojawiają ale nie mogę się zalogować do panela teraz, przy próbie mam komunikat: Nie posiadasz wystarczających uprawnień, by wejść na tę stronę.

    Thread Starter DanielCanDesign

    (@danielcandesign)

    ok udało się zalogować ale problem z aktualizacją wordpressa opisany na początku dalej pozostał :/

    Moderator Paweł Knapek

    (@adpawl)

    WordPressa zaktualizuj ręcznie …a z tymi prefiksami, to co właściwie kombinujesz? Ich nie zmienia się aż tak łatwo – może w tym problem.
    -tu masz np. opis ręcznej metody
    Do tego szereg wtyczek jakie znajdziesz w repozytorium, w tym poza dedykowanymi także kombajny w stylu All In One WP Security & Firewall, Better WP Security itp.

    Poza tym może sam motyw coś nie halo? Sprawdzałeś na domyślnym? (którymś z serii Twenty)

Viewing 10 replies - 1 through 10 (of 10 total)
  • Temat ‘problem z aktualizacją wordpressa’ jest zamknięty na nowe odpowiedzi.